# $Revision: 1.17 $, $Date: 2007-02-13 07:16:48 $
Summary:	MPEG-2 Encoder / Decoder
Summary(pl.UTF-8):	Koder i dekoder plików MPEG-2
Name:		mpeg2vidcodec
Version:	1.2
Release:	7
License:	Freeware
Group:		X11/Applications/Graphics
Source0:	ftp://ftp.mpeg.org/pub/mpeg/mssg/%{name}_v12.tar.gz
# Source0-md5:	4a66565979be0818bd8a41d948943451
URL:		http://www.mpeg.org/MPEG/MSSG/
BuildRequires:	xorg-lib-libXext-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains an implementation of an ISO/IEC DIS 13818-2
codec. It converts uncompressed video frames into MPEG-1 and MPEG-2
video coded bitstream sequences, and vice versa.

%description -l pl.UTF-8
Ten pakiet zawiera implementację kodowania ISO/IEC DIS 13818-2.
Konwertuje nieskompresowane klatki obrazu na strumień MPEG-1 lub
MPEG-2 i odwrotnie.

%prep
%setup -q -n mpeg2

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	USE_DISP=-DDISPLAY \
	LIBS="-lXext -lX11" \
	USE_SHMEM=-DSH_MEM \
	INCLUDEDIR= \
	LIBRARYDIR=

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install src/mpeg2dec/mpeg2decode $RPM_BUILD_ROOT%{_bindir}
install src/mpeg2enc/mpeg2encode $RPM_BUILD_ROOT%{_bindir}

for f in CHANGES TODO ; do
	mv -f src/mpeg2dec/$f{,.mpeg2dec}
	mv -f src/mpeg2enc/$f{,.mpeg2enc}
done
mv -f src/mpeg2dec/README{,.mpeg2dec}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README doc/* src/*/CHANGES* src/*/TODO*
%doc src/mpeg2dec/{EXAMPLES,IEEE1180,README*,SPATIAL.DOC}
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mpeg2vidcodec.spec,v $
Revision 1.17  2007-02-13 07:16:48  glen
- tabs in preamble

Revision 1.16  2007/02/12 00:49:08  baggins
- converted to UTF-8

Revision 1.15  2006/10/29 10:53:16  qboosh
- switched to modular xorg, pass CC, release 7

Revision 1.14  2004/03/16 07:17:38  qboosh
- updated URL, lib64 support, release 6 for Ac

Revision 1.13  2003/08/18 08:08:21  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.12  2003/05/28 12:59:47  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 05:50:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/01/18 22:54:54  juandon
- removed two lines with define

Revision 1.9  2002/08/03 23:18:24  kloczek
- release 5.

Revision 1.8  2002/07/30 06:34:33  marcus
- fixed %%doc

Revision 1.7  2002/07/29 21:15:07  kloczek
- release 4: use %doc.

Revision 1.6  2002/03/05 08:57:45  marcus
- rel.3.

Revision 1.5  2002/02/22 23:29:17  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:13:57  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/11/22 15:11:18  qboosh
- s/Copyright/License/

Revision 1.2  2001/04/30 16:05:25  kloczek
- added using %%{rpmcflags} macro.

Revision 1.1  2001/02/15 17:33:22  qboosh
- based on spec by Arne Coucheron <arneco@online.no>
